import { defineStore } from 'pinia'
import { ref, Ref } from 'vue'
import XEUtils from 'xe-utils'
import { Session } from '/@/utils/storage'

export const usePublicData = defineStore('publicData', () => {
  const data: any = ref(Session.get('publicData') ?? {})

  function updateData(obj: any) {
    XEUtils.objectEach(obj, (val, key) => {
      data.value[key] = val
    })
    Session.set('publicData', data.value)
  }

  return { data, updateData }
})

